commit:     70947851910068f090d2e4334bdf461a8e45edd1
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 29 14:29:30 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sun Aug 29 14:31:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70947851

sys-process/htop: Bump to version 3.1.0_rc1

Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-process/htop/Manifest              |  1 +
 sys-process/htop/htop-3.1.0_rc1.ebuild | 92 ++++++++++++++++++++++++++++++++++
 sys-process/htop/metadata.xml          |  1 +
 3 files changed, 94 insertions(+)

diff --git a/sys-process/htop/Manifest b/sys-process/htop/Manifest
index d47148de742..dc292c95277 100644
--- a/sys-process/htop/Manifest
+++ b/sys-process/htop/Manifest
@@ -1,3 +1,4 @@
 DIST htop-3.0.2.tar.gz 176132 BLAKE2B 
9abc28461d346eeac7f9741bc1ba08c898d00be013abce972be4370b9b35d92661fcb4521fa715bc779c1c9b56bc3c0eeb5375c0df8ec7585df3774ac67ca504
 SHA512 
5b578972e40e3229aa8b2bdc931c4c8bceaafd2a150b02e0257ab35a4fbac25852e959ecc472bd6747be57ea8734b59cc4b872a5ac829624cc80e1722c54d868
 DIST htop-3.0.4.tar.gz 296224 BLAKE2B 
b8fc4fe7c595f0a22b253f1eeea24d571c87401a426b8f6dba0ce15d98ea77ca94bc286428386cbf478f0e7ea4afde0e86e5e6b93bb88af616ba474e45e745f5
 SHA512 
d57e4fd326791bd2306f4a6ce2c4f4bf0499a0050efbaeb71a211148fa52993f707d8afdf0292dc26234cffdcba84a97e1d4422bc61aec40ba3ef9ebd91ebf6c
 DIST htop-3.0.5.tar.gz 297931 BLAKE2B 
a6e62f99ef349809d11bb14b4d515036601aa457507b34a96354607f136cc4e0d3d40a715f1576c70833db051d989fa55142b4f8bba0f5f432ea3676364d9575
 SHA512 
7dae83ceff6b3f30e69c30c9559dbb3bf69281df006c6a26e4e2c49dd5a147e05ed7bafeeac8ec5bedc8ba670470100cc128209a92654858f98df09a9394594f
+DIST htop-3.1.0_rc1.tar.gz 378045 BLAKE2B 
65d5f2bdb6e41fb0a4edd76c62a36e951bd86a67ebb9908ca712b2ee7b5f9714c3fe5cd4193885b869b96dcd73bbf945ab22fcd31aa11d90598f9d9953ed4b0e
 SHA512 
f917dbb8ba0de1a9f703423c13cec19f0f69da765df320739eeabf0e928495ec70cdd8eb0cca2871226cd6b472a713ee5ebc43aefa02b2ffbd6c29b1208f5cad

diff --git a/sys-process/htop/htop-3.1.0_rc1.ebuild 
b/sys-process/htop/htop-3.1.0_rc1.ebuild
new file mode 100644
index 00000000000..97f75eb53fe
--- /dev/null
+++ b/sys-process/htop/htop-3.1.0_rc1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit autotools linux-info python-any-r1 xdg-utils
+
+DESCRIPTION="interactive process viewer"
+HOMEPAGE="https://htop.dev/ https://github.com/htop-dev/htop";
+SRC_URI="https://github.com/htop-dev/${PN}/archive/${PV/_}.tar.gz -> 
${P}.tar.gz"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+LICENSE="BSD GPL-2"
+SLOT="0"
+IUSE="caps debug delayacct hwloc kernel_FreeBSD kernel_linux lm-sensors openvz 
unicode vserver"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="
+       sys-libs/ncurses:=[unicode(+)?]
+       hwloc? ( sys-apps/hwloc )
+       kernel_linux? (
+               caps? ( sys-libs/libcap )
+               delayacct? ( dev-libs/libnl:3 )
+               lm-sensors? ( sys-apps/lm-sensors )
+       )
+"
+DEPEND="${RDEPEND}
+       ${PYTHON_DEPS}"
+
+DOCS=( ChangeLog README )
+
+CONFIG_CHECK="~TASKSTATS ~TASK_XACCT ~TASK_IO_ACCOUNTING ~CGROUPS"
+
+S="${WORKDIR}/${P/_}"
+
+pkg_setup() {
+       if ! has_version sys-process/lsof; then
+               ewarn "To use lsof features in htop (what processes are 
accessing"
+               ewarn "what files), you must have sys-process/lsof installed."
+       fi
+
+       python-any-r1_pkg_setup
+       linux-info_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       eautoreconf
+}
+
+src_configure() {
+       [[ ${CBUILD} != ${CHOST} ]] && export 
ac_cv_file__proc_{meminfo,stat}=yes #328971
+
+       local myeconfargs=(
+               --enable-unicode
+               $(use_enable debug)
+               $(use_enable hwloc)
+               $(use_enable !hwloc affinity)
+               $(use_enable openvz)
+               $(use_enable unicode)
+               $(use_enable vserver)
+       )
+
+       if use kernel_linux ; then
+               myeconfargs+=(
+                       $(use_enable caps capabilities)
+                       $(use_enable delayacct)
+                       $(use_enable lm-sensors sensors)
+               )
+       else
+               myeconfargs+=(
+                       --disable-capabilities
+                       --disable-delayacct
+                       --disable-sensors
+               )
+       fi
+
+       econf ${myeconfargs[@]}
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

diff --git a/sys-process/htop/metadata.xml b/sys-process/htop/metadata.xml
index ffeb3655365..a2e53594d43 100644
--- a/sys-process/htop/metadata.xml
+++ b/sys-process/htop/metadata.xml
@@ -10,6 +10,7 @@
                <name>Lars Wendler</name>
        </maintainer>
        <use>
+               <flag name="delayacct">Enable Linux delay accounting support 
via <pkg>dev-libs/libnl</pkg></flag>
                <flag name="hwloc">Use <pkg>sys-apps/hwloc</pkg> for CPU 
affinity support</flag>
                <flag name="openvz">Enable openvz support</flag>
                <flag name="vserver">Enable vserver support</flag>

Reply via email to